<template>
    <v-app v-if="$route.path != '/login'" id="inspire">
        <AppBar/>
        <NavigationDrawer/>
        <v-main>
            <v-container>
                <router-view/>
            </v-container>
        </v-main>

    </v-app>
    <v-app>
        <div v-if="$route.path === '/login'" style="height: 100%;">
            <LoginPage style="height: 100%;"/>
        </div>
    </v-app>
</template>


<script>
import NavigationDrawer from './components/navigation-drawer/NavigationDrawer.vue'
import AppBar from './components/app-bar/AppBar.vue'
import LoginPage from "@/views/LoginView.vue";
import {AUTH_ISLOGIN} from '@/store/actions/auth'
import {SET_OVERLAY} from '@/store/actions/overlay'
import AuthHelper from '@/library/helpers/authhelper'

export default {
    name: 'App',

    components: {
        AppBar,
        NavigationDrawer,
        LoginPage
    },

    data: () => ({}),
    methods: {},
    created() {
        this.$store.dispatch(SET_OVERLAY, false)
        const ui = AuthHelper.GetUser()
        if (ui) {
            // eslint-disable-next-line no-unused-vars
            this.$store.dispatch(AUTH_ISLOGIN).then(response => {
                this.$store.dispatch(SET_OVERLAY, false)
            })
        }
    }
}
</script>
<style>
.html .body {
    height: 100%
}

@import "@/assets/styles/icon.css";
@import url(assets/styles/app.css);
</style>
